org.jgrapht

## Interface WeightedGraph<V,E>

- All Superinterfaces:
    Graph<V,E>
  All Known Implementing Classes:
    AsWeightedDirectedGraph, AsWeightedGraph, DefaultDirectedWeightedGraph, DirectedWeightedMultigraph, DirectedWeightedPseudograph, DirectedWeightedSubgraph, ListenableDirectedWeightedGraph, ListenableUndirectedWeightedGraph, SimpleDirectedWeightedGraph, SimpleWeightedGraph, UndirectedWeightedSubgraph, WeightedMultigraph, WeightedPseudograph

      public interface WeightedGraph<V,E>
      extends Graph<V,E>

  An interface for a graph whose edges have non-uniform weights.
  Since:
    Jul 23, 2003
  Author:
    Barak Naveh

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static double` | `DEFAULT_EDGE_WEIGHT` The default weight for an edge.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `setEdgeWeight(E e, double weight)` Assigns a weight to an edge.

    - ### Methods inherited from interface org.jgrapht.Graph

      `addEdge, addEdge, addVertex, containsEdge, containsEdge, containsVertex, edgeSet, edgesOf, getAllEdges, getEdge, getEdgeFactory, getEdgeSource, getEdgeTarget, getEdgeWeight, removeAllEdges, removeAllEdges, removeAllVertices, removeEdge, removeEdge, removeVertex, vertexSet`

- - ### Field Detail

    - #### DEFAULT_EDGE_WEIGHT

          static final double DEFAULT_EDGE_WEIGHT

      The default weight for an edge.
      See Also:
        Constant Field Values

  - ### Method Detail

    - #### setEdgeWeight

          void setEdgeWeight(E e,
                           double weight)

      Assigns a weight to an edge.
      Parameters:
        `e` - edge on which to set weight
        `weight` - new weight for edge

Copyright © 2016. All rights reserved.